cmake_minimum_required(VERSION 2.6)

include_directories ("/usr/include/gclib2")
link_libraries ("gclib2")

add_executable ( http  http.cxx )
add_executable ( url  url.cxx )
add_executable ( ipc  ipc.cxx )
add_executable ( clone  clone.cxx )
add_executable ( strreplace  strreplace.cxx )
add_executable ( pack  pack.cxx )
add_executable ( dns  dns.cxx )
add_executable ( dns2  dns2.cxx )
add_executable ( base64  base64.cxx )
add_executable ( buf  buf.cxx )
add_executable ( split_join  split_join.cxx )
add_executable ( connection  connection.cxx )
add_executable ( connection2  connection2.cxx )
add_executable ( mmp mmp.cxx )
add_executable ( ftp ftp.cxx )

